Use 'title' field for snap apps

Bug #1555569 reported by David Planella on 2016-03-10
38
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Snapcraft
Undecided
Unassigned
Software Center Agent
Undecided
Unassigned
gnome-software (Ubuntu)
High
Robert Ancell
Xenial
Medium
Robert Ancell
Yakkety
Medium
Unassigned
Zesty
Medium
Robert Ancell
Artful
High
Robert Ancell

Bug Description

[Impact]
Snaps show using the snap 'name', which has a limited character set and is not translatable (e.g. 'moon-buggy'). The store contained a 'title' which is more appropriate (e.g. 'Moon Buggy') which was not exposed via snapd. Now snapd supports this field we should use it in GNOME Software.

[Test Case]
1. Start GNOME Software
2. Search for 'moon'

Expected result:
A snap called 'Moon Buggy' is shown.

Observed result:
A snap called 'moon-buggy' is shown.

[Regression Potential]
The fix is to use the new field if it is present.

David Planella (dpm) on 2016-03-10
information type: Public → Private
tags: added: sdoc
James Tait (jamestait) wrote :

I was under the mistaken impression that we wanted to retain the tagline field specifically because it was metadata we extracted from the package manifest. According to http://click.readthedocs.org/en/latest/file-format.html this is not the case.

Given that, and the fact that the closest map we have to the old click `title` field in the new snap manifest is `summary`, the recommendation is to map `summary` in `snap.yaml` to `title` in the Store API and, as dobey suggested in bug #1303354, drop tagline altogether.

I'm re-assigning this bug to software-center-agent for now, as that's where the immediate work will take place, but soon this metadata will be extracted by click-reviewers-tools so the code will move there instead.

affects: click-package-index → software-center-agent
Changed in software-center-agent:
status: New → Triaged
assignee: nobody → Para Siva (psivaa)
assignee: Para Siva (psivaa) → nobody
assignee: nobody → James Tait (jamestait)
Changed in click-reviewers-tools:
assignee: nobody → James Tait (jamestait)
Changed in gnome-software (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Robert Ancell (robert-ancell) wrote :

See bug 1555567 for the related issue of the license field also not being passed through.

summary: - Show human-readable names for store apps
+ [snaps] Show human-readable names for store apps
Changed in click-reviewers-tools:
assignee: James Tait (jamestait) → nobody
Changed in software-center-agent:
assignee: James Tait (jamestait) → nobody
David Planella (dpm) on 2016-04-13
information type: Private → Public

Hello all,

Let me share the current state about title, summary and description fields. Currently, the store API exposes these fields for each snap (among others):

package_name -> the "technical" package name, such as generic-amd64 (not-editable, but could change due to name disputes or similar)
name -> fully qualified name of a package, such as "generic-amd64.canonical" (not-editable, same remark as before)
summary -> the package summary, matches the summary field in the snap.yaml file (editable from Store UI)
description -> the package description, matches the description field in the snap.yaml file (editable from Store UI)
title -> the human readable string for a package, initially is filled with the snap name, but can be edited from the Store UI

There is a pending improvement from snappy so the title is also required in the snap.yaml, once that is done, the store will use that to populate the title field.

For current examples:

https://search.apps.ubuntu.com/api/v1/package/generic-amd64
https://search.apps.ubuntu.com/api/v1/package/bar

So specifically to this bug report, I think the Gnome Software should always use the 'title' property from the Store results as the human readable string to show to the user.

Changed in software-center-agent:
status: Triaged → Fix Released
David Planella (dpm) on 2016-04-13
tags: added: gnome-software
Will Cooke (willcooke) on 2016-04-25
tags: added: trello-import
Will Cooke (willcooke) on 2016-04-25
tags: removed: trello-import
Changed in gnome-software (Ubuntu):
importance: Medium → High
no longer affects: click-reviewers-tools
Matthew Paul Thomas (mpt) wrote :

I’ve added Snapcraft because Sergio Schvezov tells me the problem also occurs there: there is no way to record an app name in the snapcraft.yaml, and the “name” field in that file is a store ID rather than a name as users and app developers would understand the term.

Robert Ancell (robert-ancell) wrote :

Will be in gnome-software 3.25.4 and will work once the next snapd release is made.

Changed in gnome-software (Ubuntu):
status: Triaged → Fix Committed
assignee: nobody → Robert Ancell (robert-ancell)
Changed in gnome-software (Ubuntu Yakkety):
status: New → Won't Fix
Changed in gnome-software (Ubuntu Xenial):
status: New → Triaged
Changed in gnome-software (Ubuntu Zesty):
status: New → Triaged
importance: Undecided → Medium
Changed in gnome-software (Ubuntu Yakkety):
importance: Undecided → Medium
Changed in gnome-software (Ubuntu Xenial):
importance: Undecided → Medium
no longer affects: snappy
description: updated
Robert Ancell (robert-ancell) wrote :

The title field can be set in the store website, but there's still work required for snapcraft to allow you to set this field and the store to extract it on upload.

Changed in gnome-software (Ubuntu Zesty):
assignee: nobody → Robert Ancell (robert-ancell)
Changed in gnome-software (Ubuntu Xenial):
assignee: nobody → Robert Ancell (robert-ancell)
Changed in gnome-software (Ubuntu Zesty):
status: Triaged → Fix Committed
Changed in gnome-software (Ubuntu Xenial):
status: Triaged → Fix Committed
summary: - [snaps] Show human-readable names for store apps
+ Use 'title' field for snap apps
Kyle Fazzari (kyrofa) wrote :

Sergio, what is the snapcraft solution to this? I'm still under the impression the title (and license) need to go into the snap.yaml, but you seemed to think it was only out-of-band to the store. Did we get that resolved?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.24.3-0ubuntu7

---------------
gnome-software (3.24.3-0ubuntu7) artful; urgency=medium

  [ Robert Ancell ]
  * debian/patches/0001-snap-Use-title-field-if-available.patch:
    - Use new title field from snapd (LP: #1555569)
  * debian/patches/0001-snap-Mark-non-app-snaps-as-runtimes.patch:
    - Stop 'core' snap showing as an app (LP: #1704904)

  [ Didier Roche ]
  * debian/rules:
    - Change regexp to use ubuntu software icon in the ubuntu session
      even when using non en local (we needed to match translated icon
      names). (LP: #1703849)

 -- Didier Roche <email address hidden> Wed, 19 Jul 2017 15:34:17 +0200

Changed in gnome-software (Ubuntu Artful):
status: Fix Committed → Fix Released
Robert Ancell (robert-ancell) wrote :

This was fixed in snapd 2.26.9

Robert Ancell (robert-ancell) wrote :

Even though the tags on git master indicate it was fixed by 2.26.9 it doesn't appear to be in the source released into 17.04 (snapd 2.26.10). I've asked the Snappy team for clarification as to what version it is / will be in.

Hello David, or anyone else affected,

Accepted gnome-software into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-software/3.22.7-0ubuntu3.17.04.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed verification-needed-zesty

Verification on Zesty

I tried on Zesty with gnome-software 3.22.7-0ubuntu3.17.04.7 and this issue is not fixed. For moon buggy for example, the title of the app is still "moon-buggy" while on Artful it is "Moon Buggy".

Marking as verification-failed

tags: added: verification-failed-zesty
removed: verification-needed-zesty

Note that I've snapd 2.26.10 installed

I tried with snapd 2.27.3+17.04 and I get the expected result "Moon Buggy". Marking as verification-done.

Please next time, if there is a requirement on a specific version of another software, specify it in the bug description. Thanks.

tags: added: verification-done-zesty
removed: verification-failed-zesty
Łukasz Zemczak (sil2100) wrote :

Hello David, or anyone else affected,

Accepted gnome-software into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-software/3.20.5-0ubuntu0.16.04.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed-xenial

SRU verification for Xenial:
I have reproduced the problem with gnome-software 3.20.5-0ubuntu0.16.04.5 in xenial-updates and have verified that the version of gnome-software 3.20.5-0ubuntu0.16.04.6 in -proposed fixes the issue.

Marking as verification-done

tags: added: verification-done-xenial
removed: verification-needed-xenial
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.22.7-0ubuntu3.17.04.7

---------------
gnome-software (3.22.7-0ubuntu3.17.04.7) zesty; urgency=medium

  * debian/patches/0001-snap-Use-title-field-if-available.patch:
    - Use new title field from snapd (LP: #1555569)
  * debian/patches/0001-snap-Remove-size-limit-on-snap-responses.patch:
  * debian/patches/0002-snap-Fix-failures-to-read-from-snapd.patch:
    - Fix icons larger than 65kB not loading (LP: #1704888)
  * debian/patches/0001-snap-Mark-non-app-snaps-as-runtimes.patch:
    - Stop 'core' snap showing as an app (LP: #1704904)
  * debian/patches/0001-snap-Fix-crash-when-fail-to-use-icon-from-cache.patch:
    - Add to debian/patches/series - was not enabled in last release
  * debian/patches/0001-snap-Replace-libsoup-icon-loading-code-with-AsIcon.patch:
    - Fix crash loading cached icons (LP: #1708140)
  * debian/patches/0001-snap-Run-before-hardcoded-popular-plugin.patch:
  * debian/patches/0018-Make-gs_app_list_filter_duplicates-not-change-app-or.patch:
  * debian/patches/0019-snap-Use-first-featured-snap-as-featured-app.patch:
  * debian/patches/0020-snap-Only-feature-snaps.patch:
  * debian/patches/0021-Don-t-randomize-editors-picks.patch:
    - Only show snaps in "Editor's picks" (LP: #1705953)
    - Show snap in "Featured" section (LP: #1706478)

gnome-software (3.22.7-0ubuntu3.17.04.6) zesty; urgency=medium

  * 0001-snap-Fix-crash-when-fail-to-use-icon-from-cache.patch:
    - Fix crash when failing to load icons from cache (LP: #1702122)

 -- Robert Ancell <email address hidden> Thu, 24 Aug 2017 13:46:31 +1200

Changed in gnome-software (Ubuntu Zesty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-software has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.20.5-0ubuntu0.16.04.6

---------------
gnome-software (3.20.5-0ubuntu0.16.04.6) xenial; urgency=medium

  * debian/patches/0001-Add-gs_app_set_local_file.patch:
  * debian/patches/0017-Add-an-APT-plugin.patch:
    - Fix being unable to load .deb files (LP: #1708936)
  * debian/patches/0018-Add-a-Snap-plugin.patch:
    - Fix icons larger than 65kB not loading (LP: #1704888)
    - Stop 'core' snap showing as an app (LP: #1704904)
    - Use new title field from snapd (LP: #1555569)
  * debian/patches/0045-Don-t-generate-popular-apps-from-Ubuntu-reviews.patch:
  * debian/patches/0046-snap-Use-first-featured-snap-as-featured-app.patch
  * debian/patches/0047-snap-Only-feature-snaps.patch
  * debian/patches/0048-Don-t-randomize-editors-picks.patch
    - Only show snaps in "Editor's picks" (LP: #1705953)
    - Show snap in "Featured" section (LP: #1706478)
  * debian/patches/0049-snap-Replace-libsoup-icon-loading-code-with-AsIcon.patch
    - Fix crash loading cached icons (LP: #1708140)

 -- Robert Ancell <email address hidden> Thu, 24 Aug 2017 12:19:14 +1200

Changed in gnome-software (Ubuntu Xenial):
status: Fix Committed → Fix Released
Sergio Schvezov (sergiusens) wrote :

snapcraft portion was solved as part of LP: #1804256

Changed in snapcraft:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers